#!/bin/sh
echo 'name: HsOpenSSL
version: 0.10.3.2
id: HsOpenSSL-0.10.3.2-38acb4b0a9f0e66a1fb1698226baa616

license: PublicDomain
copyright:
maintainer: PHO <pho at cielonegro dot org>
stability: stable
homepage: https://github.com/phonohawk/HsOpenSSL
package-url:
synopsis: (Incomplete) OpenSSL binding for Haskell
description:  
             .
             HsOpenSSL is an OpenSSL binding for Haskell. It can generate RSA
             and DSA keys, read and write PEM files, generate message digests,
             sign and verify messages, encrypt and decrypt messages. It has
             also some capabilities of creating SSL clients and servers.
             .
             Please note that this project has started at the time when there
             were no pure-Haskell implementations of TLS. Now there is tls
             package (<http://hackage.haskell.org/package/tls>), which looks
             pretty saner than HsOpenSSL especially for initialisation and
             error handlings. So PHO (the initial author of HsOpenSSL) wants to
             encourage you to use and improve the tls package instead as long
             as possible. The only problem is that the tls package has not
             received as much review as OpenSSL from cryptography specialists
             yet, thus we can'\''t assume it'\''s secure enough.
             .
category: Cryptography
author: Adam Langley, Mikhail Vorozhtsov, PHO, Taru Karttunen
exposed: True
exposed-modules: OpenSSL OpenSSL.BN OpenSSL.EVP.Base64
                 OpenSSL.EVP.Cipher OpenSSL.EVP.Digest OpenSSL.EVP.Open
                 OpenSSL.EVP.PKey OpenSSL.EVP.Seal OpenSSL.EVP.Sign
                 OpenSSL.EVP.Verify OpenSSL.Cipher OpenSSL.PEM OpenSSL.PKCS7
                 OpenSSL.Random OpenSSL.DSA OpenSSL.RSA OpenSSL.X509
                 OpenSSL.X509.Revocation OpenSSL.X509.Request OpenSSL.X509.Store
                 OpenSSL.Session OpenSSL.DH
hidden-modules: OpenSSL.ASN1 OpenSSL.BIO OpenSSL.ERR
                OpenSSL.Objects OpenSSL.SSL OpenSSL.Stack OpenSSL.Utils
                OpenSSL.X509.Name OpenSSL.EVP.Internal OpenSSL.DH.Internal
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.1/cabal/HsOpenSSL-0.10.3.2
library-dirs: /usr/local/lib/ghc-7.4.1/cabal/HsOpenSSL-0.10.3.2
              /usr/local/lib
hs-libraries: HSHsOpenSSL-0.10.3.2
extra-libraries: crypto ssl
extra-ghci-libraries:
include-dirs: /usr/local/include
              /usr/local/lib/ghc-7.4.1/cabal/HsOpenSSL-0.10.3.2/include
includes:
depends: base-4.5.0.0-1a022b3476300ed3e5bfdd46dd7221d0
         bytestring-0.9.2.1-e2bcd9910229fcb291a3a8dd6f79f7fe
         ghc-prim-0.2.0.0-bd29cb1ca1b712d64e00ac9207f87d0a
         integer-gmp-0.4.0.0-ec87c5d9609a1d46da031ef5d51c4f79
         network-2.3.0.13-61384c729042da4a510c1f2707b5d629
         old-locale-1.0.0.4-29bd50ed2bb4a20928338f52e4ab1b71
         time-1.4-3e186a51d3674e5d65b5a7925db3d3a7
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.1/cabal/HsOpenSSL-0.10.3.2/html/HsOpenSSL.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.1/cabal/HsOpenSSL-0.10.3.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
